/*******************************************************************************
* IMPERIA 9-11
* Login / Logout CSS
* Autor Marina Popova
*******************************************************************************/

/*******************************************************************************
* GLOBAL
*******************************************************************************/
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, a, img,
blockquote, pre, abbr, acronym, address, big, cite, code, del, dfn, em, font, ins,
kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, dd, dl, dt, li, ol, ul,
fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;
    border: 0;
    text-rendering: optimizeLegibility;
}

html {
    height: 100%;
}

body {
    background: #828282; /* Old browsers */
    background: -moz-linear-gradient(top,  #828282 0%, #828282 0%, #191919 100%, #191919 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#828282), color-stop(0%,#828282), color-stop(100%,#191919), color-stop(100%,#191919)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top,  #828282 0%,#828282 0%,#191919 100%,#191919 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top,  #828282 0%,#828282 0%,#191919 100%,#191919 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top,  #828282 0%,#828282 0%,#191919 100%,#191919 100%); /* IE10+ */
    background: linear-gradient(to bottom,  #828282 0%,#828282 0%,#191919 100%,#191919 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#828282', endColorstr='#191919',GradientType=0 ); /* IE6-9 */
    font-family: Arial, Verdana, sans-serif;
    font-size: 12px;
    color: #444749;
}

a, ul, ol, li, img {
    border: 0;
    list-style: none;
}
a {
    text-decoration: none;
    color: #faab00;
    transition: all 0.1s ease-in;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
}
a:hover{color: #eb8237;}
.left {float: left;}
.right {float: right;}
.clear {clear: both;}

/*******************************************************************************
* Login Box
*******************************************************************************/
.imperia_logo {
    background: url('/imperia/images/gui/i10-logo-login.png') center center no-repeat;
    height: 85px;
    width: 276px;
    margin-bottom: 30px;
}

.imperia_login_all {    
    width: 280px;
    position: absolute;
    top: 15%;
    left: 50%;
    margin-left: -140px;
}

.login_form {
    width: 275px;
    background-color: #6E6E6E;
    padding: 5px;
    -moz-box-shadow: 1px 6px 6px #191919;
    -webkit-box-shadow: 1px 6px 6px #191919;
    box-shadow: 2px 2px 6px #191919;
}
.login_form_social {
    margin-top: 10px;
    text-align: center;
}
.login_form_social .trenner {
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
    color: #dcdcdc;
    text-align: center;
    margin-top: 5px;
}

.login_data_input {
    width: 255px;
    height: 24px;
    border: 1px solid #505050;
    padding-left: 15px;
    margin-top: 5px;
}

.submit_button {
    background-color:  #191919;
    color: #F2F2F2;
    float: right;
    border: none;
    font-size: 12px;
    margin: 10px 4px 0 0;
    padding: 2px 5px 4px 5px;
    cursor: pointer;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
    transition: all 0.1s ease-in;
}

.submit_button:hover {
    background-color:  #eb8237;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
}

.message_container {
    color: #FAC300;
    margin: 5px 0 10px 0;
}

.login_message {
    color: #000;
    margin: 10px 0 10px 0;
    background: #939393;
    padding: 0;
}
.login_message p {
    margin-bottom: 10px;
    line-height: 15px;
    padding: 0 4px;
}
.login_message h1,
.login_message h2,
.login_message h3,
.login_message h6,
.login_message h5,
.login_message h6 {
    margin-bottom: 0.4rem;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
    padding: 0 4px;
}
.login_message .warning {
    /*color: #eb8237;*/
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
    padding-left: 2em;
    background: url('/imperia/images/icons/warning.svg') no-repeat 2px 0;

}
.login_message *:first-child {
    padding-top: 5px;
}
.login_message *:last-child {
    padding-bottom: 4px;
}
.login_message .i-banner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: #ededed;
    box-shadow: 0 4px 7px #191919;
    padding: 5px 10px;
    color: #191919;
}
.login_message .i-banner a {
    text-shadow: none;
}
span.error {
     background: url('/imperia/images/icons/grey/png/20x18/caution_small.png') left center no-repeat;
     padding-left: 22px;
}

p.forgot_password_instructions {
   text-align: left; 
   color: #f2a664;
}

.message_container a, .password_recovory_msg a, a.back-to-login {
    text-decoration: none;
    color: #f2a664;
    transition: all 0.1s ease-in;
}

.message_container a:hover, .password_recovory_msg a:hover, a.back-to-login:hover{
    color: #eb8237;
}

/*----------------------------------
// Social login buttons
-----------------------------------*/

.iSocialButtonContentWrapper {
    background: fff;
    width: 240px;
    margin: 10px auto;
    display: block;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);
    transition: all 0.4 ease-in-out;
}
.iSocialButtonContentWrapper:hover {
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.4);
}
.iSocialButtonIcon {
    float: left;
    padding: 5px;
    margin: 5px;
    background: #fff;
}
.iSocialButtonContents {
    font-size: 14px;
    line-height: 38px;
}
.iSocialButtonContentWrapper.google-style {
    background: #4285f4;
}
.iSocialButtonContentWrapper.google-style:hover {
    background: rgb(42, 93, 177);
}
.google-style .iSocialButtonContents {
    color: #fff;
}